Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextParagraphStyleManager Class Reference

Small class to manage the paragraph style. More...

`#include <RVNGHTMLTextTextStyle.h>`

Inheritance diagram for librevenge::RVNGHTMLTextParagraphStyleManager:

## Public Member Functions
| RVNGHTMLTextParagraphStyleManager ()
| constructor More...
virtual | ~RVNGHTMLTextParagraphStyleManager ()
| destructor More...
void | defineParagraph (RVNGPropertyList const &pList)
| define a paragraph style More...
std::string | getClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (std::ostream &out)
| send the data to the stream More...

## Protected Member Functions
std::string | getContent (RVNGPropertyList const &pList, bool isList) const
| convert a property list in a html content string More...
void | parseBorders (RVNGPropertyList const &pList, std::ostream &out) const
| add data corresponding to the border More...

## Protected Attributes
std::map< std::string, std::string > | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...

## Private Member Functions
| RVNGHTMLTextParagraphStyleManager (RVNGHTMLTextParagraphStyleManager const &orig)
RVNGHTMLTextParagraphStyleManager | operator= (RVNGHTMLTextParagraphStyleManager const &orig)

## Detailed Description

Small class to manage the paragraph style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextParagraphStyleManager() [1/2]

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextParagraphStyleManager()

virtual librevenge::RVNGHTMLTextParagraphStyleManager::~RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inline virtual

destructor

## ◆ RVNGHTMLTextParagraphStyleManager() [2/2]

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ defineParagraph()

void librevenge::RVNGHTMLTextParagraphStyleManager::defineParagraph | ( | RVNGPropertyList const & | pList | ) |

define a paragraph style

Referenced by librevenge::RVNGHTMLTextGenerator::defineParagraphStyle().

## ◆ getClass()

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openParagraph().

## ◆ getContent()

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getContent | ( | RVNGPropertyList const & | pList,
|  | bool | isList
| ) |  | const
| protected

convert a property list in a html content string

Referenced by getClass(), librevenge::RVNGHTMLTextListStyleManager::getClass(), librevenge::RVNGHTMLTextSpanStyleManager::getClass(), and librevenge::RVNGHTMLTextListStyleManager::openLevel().

## ◆ operator=()

RVNGHTMLTextParagraphStyleManager librevenge::RVNGHTMLTextParagraphStyleManager::operator= | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

## ◆ parseBorders()

void librevenge::RVNGHTMLTextParagraphStyleManager::parseBorders | ( | RVNGPropertyList const & | pList,
|  | std::ostream & | out
| ) |  | const
| protected

add data corresponding to the border

Referenced by getContent().

## ◆ send()

void librevenge::RVNGHTMLTextParagraphStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument(), and librevenge::RVNGHTMLTextListStyleManager::send().

## Member Data Documentation

## ◆ m_contentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by getClass(), librevenge::RVNGHTMLTextListStyleManager::getClass(), librevenge::RVNGHTMLTextSpanStyleManager::getClass(), send(), and librevenge::RVNGHTMLTextSpanStyleManager::send().

## ◆ m_idNameMap

std::map<int, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineParagraph(), librevenge::RVNGHTMLTextSpanStyleManager::defineSpan(), getClass(), and librevenge::RVNGHTMLTextSpanStyleManager::getClass().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp